Subject: Re: auto gc again

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Mar 2008 21:09:16 -0700

Nicolas Pitre <[email-masked]> writes:

> So you have 17.1 seconds for a single pack vs 18.4 seconds for 66 packs.
>
> Compare that to 24.9s without that patch.

Very interesting --- why should it affect a single pack case at all?

> And I still have some further optimizations to implement eventually 
> (http://marc.info/?l=git&m=118062793413099&w=2), but which would 
> probably make a significant difference only in the hundreds-of-packs 
> case anyway.
>
> So I really think that the default gc.autopacklimit could be raised.

Thanks, let's raise it to 50 then.

But I am still puzzled...